> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kicks.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get products from StockX

> How to get a product from StockX using KicksDB

There are two ways to get a product from StockX using KicksDB, depending on the information you have:

<Columns cols={2}>
  <Card href="#find-a-product" title="Find a product" icon="search">
    You have the SKU or name of the product
  </Card>

  <Card href="#get-a-product-from-url-or-id" title="Get a product from URL or ID" icon="link">
    You have the URL or ID of the product
  </Card>
</Columns>

<div className="flex flex-wrap items-baseline gap-x-2">
  <h2>Find a product</h2>

  <a href="https://api.kicks.dev/docs#tag/stockx/get/v3stockxproducts" target="_blank" class="border-0 inline-flex items-center">
    <Badge icon="info" color="green">
      API Reference
    </Badge>
  </a>
</div>

You can use the `query` parameter to search for a product by SKU, name, brand,
etc...

```http theme={null}
GET https://api.kicks.dev/v3/stockx/products?query=[SKU_or_Name]
```

The response will be a list of products that matches the query, ordered by relevance and product popularity, like this:

```json theme={null}
{
  "$schema": "https://api.kicks.dev/schemas/RespListStockXProductBody.json",
  "data": [
    {
      "id": "1f27cf59-74c3-4ace-a94b-717b0c84465e",
      "title": "Jordan 1 Retro High OG Rare Air",
      "brand": "Jordan",
      "model": "Jordan 1 Retro High OG",
      "gender": "men",
      "description": "The Jordan 1 Retro High OG Rare Air pays homage to the original 1985 design with a contemporary twist, blending classic elements with modern updates...",
      "image": "https://images.stockx.com/images/Air-Jordan-1-Retro-High-OG-Rare-Air-Product.jpg?fit=fill&bg=FFFFFF&w=700&h=500&fm=webp&auto=compress&q=90&dpr=2&trim=color&updated_at=1741385112",
      "sku": "DZ5485-100",
      "slug": "air-jordan-1-retro-high-og-rare-air",
      "product_type": "sneakers",
      "category": "Air Jordan",
      "secondary_category": "One",
      "categories": ["sneakers"],
      "breadcrumbs": [
        {
          "value": "Sneakers",
          "alias": "sneakers",
          "level": 1
        },
        {
          "value": "Lifestyle",
          "alias": "lifestyle",
          "level": 2
        }
      ],
      "gallery": [
        "https://images.stockx.com/images/Air-Jordan-1-Retro-High-OG-Rare-Air-Product.jpg?fit=fill&bg=FFFFFF&w=700&h=500&fm=webp&auto=compress&q=90&dpr=2&trim=color&updated_at=1741385112"
      ],
      "gallery_360": [
        "https://images.stockx.com/360/Air-Jordan-1-Retro-High-OG-Rare-Air/Images/Air-Jordan-1-Retro-High-OG-Rare-Air/Lv2/img01.jpg?fm=webp&auto=compress&w=559&q=90&dpr=2&updated_at=1741361073"
        // ... more images ...
      ],
      "updated_at": "2025-12-07T05:05:22Z",
      "created_at": "2025-12-07T05:05:22Z",
      "link": "https://stockx.com/air-jordan-1-retro-high-og-rare-air",
      "rank": 452,
      "weekly_orders": 82,
      "country_of_manufacture": "CN",
      "primary_title": "Jordan 1 Retro High OG",
      "secondary_title": "Rare Air",
      "min_price": 78,
      "max_price": 417,
      "avg_price": 148.125,
      "short_description": "",
      "upcoming": false
    }
    // ... more products ...
  ],
  "meta": {
    "current_page": 1,
    "per_page": 20,
    "total": 1000
  }
}
```

<div className="flex flex-wrap items-baseline gap-x-2">
  <h2>Get a product from URL or ID</h2>

  <a href="https://api.kicks.dev/docs#tag/stockx/get/v3stockxproductsid" target="_blank" class="border-0 inline-flex items-center">
    <Badge icon="info" color="green">
      API Reference
    </Badge>
  </a>
</div>

You can use the `id` or `slug` parameter to get a product by its ID or slug.

```http theme={null}
GET https://api.kicks.dev/v3/stockx/products/[ID_or_SLUG]
```

The response will be the product data, like this:

```json theme={null}
{
  "data": {
    "id": "2f15e74e-7d99-44a3-8ecb-04fe09bc4116",
    "title": "Nike SB Dunk Low Fog",
    "brand": "Nike",
    "model": "Nike SB Dunk Low",
    "gender": "men",
    "description": "The Nike Dunk SB Low Fog is a skateboarding sneaker that slightly resembles the Nike Dunk SB High Fog released in 2005...",
    "image": "https://images.stockx.com/images/Nike-Dunk-SB-Low-Fog-Product.jpg?fit=fill&bg=FFFFFF&w=700&h=500&fm=webp&auto=compress&q=90&dpr=2&trim=color&updated_at=1738193358",
    "sku": "BQ6817-010",
    "slug": "nike-dunk-sb-low-fog",
    "product_type": "sneakers",
    "category": "Nike SB",
    "secondary_category": "SB Dunk Low",
    "categories": ["sneakers"],
    "breadcrumbs": [
      {
        "value": "Sneakers",
        "alias": "sneakers",
        "level": 1
      },
      {
        "value": "Performance",
        "alias": "performance",
        "level": 2
      }
    ],
    "gallery": [
      "https://images.stockx.com/images/Nike-Dunk-SB-Low-Fog-Product.jpg?fit=fill&bg=FFFFFF&w=700&h=500&fm=webp&auto=compress&q=90&dpr=2&trim=color&updated_at=1738193358"
    ],
    "gallery_360": [
      "https://images.stockx.com/360/Nike-Dunk-SB-Low-Fog/Images/Nike-Dunk-SB-Low-Fog/Lv2/img01.jpg?fm=webp&auto=compress&w=559&q=90&dpr=2&updated_at=1635539965"
      // ... more images ...
    ],
    "updated_at": "2025-12-07T07:22:08Z",
    "created_at": "2025-12-07T07:22:08Z",
    "link": "https://stockx.com/nike-dunk-sb-low-fog",
    "rank": 2201,
    "weekly_orders": 18,
    "country_of_manufacture": "VN",
    "primary_title": "Nike SB Dunk Low",
    "secondary_title": "Fog",
    "min_price": 154,
    "max_price": 440,
    "avg_price": 228.1,
    "short_description": "",
    "upcoming": false
  },
  "meta": null
}
```

## Additional parameters

<Columns cols={2}>
  <Card href="#getting-product-variants" title="Getting product variants" icon="list">
    Get the variants of the product
  </Card>

  <Card href="#getting-all-product-prices" title="Getting all product prices" icon="dollar-sign">
    Get the prices of the product
  </Card>

  <Card href="#getting-product-identifiers" title="Getting product identifiers" icon="barcode">
    Get the identifiers of the product
  </Card>
</Columns>

### Getting product variants

You can add the `display[variants]` parameter to get the variants of the product, it will return a new field `variants` in the product data, like this:

Request example:

```http theme={null}
GET https://api.kicks.dev/v3/stockx/products/[ID_or_SLUG]?display[variants]=true
```

Response example:

```json theme={null}
{
  // ... product data ...
  "variants": [
    {
      "id": "376f06bc-33a1-494e-a337-124ad80b3ddc",
      "size": "4",
      "size_type": "us m",
      "sizes": [
        {
          "size": "US M 4",
          "type": "us m"
        },
        {
          "size": "UK 3.5",
          "type": "uk"
        },
        {
          "size": "CM 23",
          "type": "cm"
        },
        {
          "size": "KR 230",
          "type": "kr"
        },
        {
          "size": "EU 36",
          "type": "eu"
        },
        {
          "size": "US W 5.5",
          "type": "us w"
        }
      ],
      "lowest_ask": 194,
      "total_asks": 3,
      "position": 0,
      "hidden": false,
      "updated_at": "2025-12-07T07:22:08Z",
      "identifiers": null,
      "prices": null,
      "currency": "USD",
      "market": "US",
      "sales_count_15_days": 1,
      "sales_count_30_days": 1,
      "sales_count_60_days": 1
    }
    // ... more variants ...
  ]
}
```

### Getting all product prices

You can add the `display[prices]` parameter to get the prices of the product, it will return a new field `prices` in each individual `variant`, containing the lowest ask, ask count per delivery option.

Request example:

```http theme={null}
GET https://api.kicks.dev/v3/stockx/products/[ID_or_SLUG]?display[prices]=true
```

Response example:

```json theme={null}
{
  // ... variant data ...
  "prices": [
    {
      "price": 339,
      "asks": 6,
      "type": "standard"
    }
  ]
}
```

Supported delivery options are:

* `standard`
* `express_standard` (StockX Flex)
* `express_expedited` (StockX Flex)

### Getting product identifiers

<Badge icon="lock" color="orange">
  Paying users only
</Badge>

You can add the `display[identifiers]` parameter to get the identifiers of the product, it will return a new field `identifiers` in each individual `variant`, containing the identifiers of the product, like this:

Request example:

```http theme={null}
GET https://api.kicks.dev/v3/stockx/products/[ID_or_SLUG]?display[identifiers]=true
```

Response example:

```json theme={null}
{
  // ... variant data ...
  "identifiers": [
    {
      "identifier": "198483486005",
      "identifier_type": "UPC"
    }
  ]
}
```
